commit f2d0615e022a3079a69316adaae9c8244445e0d2
Author: Michael Paquier <michael@otacoo.com>
Date:   Wed Dec 25 00:07:08 2013 +0900

    Add unpackaged scripts for pg_prewarm
    
    It looks to have been forgotten when this patch has been committed.

diff --git a/contrib/pg_prewarm/Makefile b/contrib/pg_prewarm/Makefile
index 176a29a..85bdd9d 100644
--- a/contrib/pg_prewarm/Makefile
+++ b/contrib/pg_prewarm/Makefile
@@ -4,7 +4,7 @@ MODULE_big = pg_prewarm
 OBJS = pg_prewarm.o
 
 EXTENSION = pg_prewarm
-DATA = pg_prewarm--1.0.sql
+DATA = pg_prewarm--1.0.sql pg_prewarm--unpackaged--1.0.sql
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
diff --git a/contrib/pg_prewarm/pg_prewarm--unpackaged--1.0.sql b/contrib/pg_prewarm/pg_prewarm--unpackaged--1.0.sql
new file mode 100644
index 0000000..f40c2b8
--- /dev/null
+++ b/contrib/pg_prewarm/pg_prewarm--unpackaged--1.0.sql
@@ -0,0 +1,10 @@
+/* contrib/pg_prewarm/pg_prewarm--unpackaged--1.0.sql */
+
+-- complain if script is sourced in psql, rather than via CREATE EXTENSION
+\echo Use "CREATE EXTENSION pg_prewarm" to load this file. \quit
+
+ALTER EXTENSION pg_prewarm ADD function pg_prewarm_pages(regclass,
+	text,
+	text,
+	int8,
+	int8);
